'
'  Turbo BASIC program which demonstrates calls to
'  GRASP functions
'  Compiled with Turbo Basic version 1.1
'

SUB Grasp(g$)
  LOCAL offset%, segment%, lsb%, msb%, stringdesc%

  DEF SEG
  segment% = (256*PEEK(1)) + PEEK(0)	' get segment of strings

  DEF SEG = VARSEG(g$)
  stringdesc% = VARPTR(g$)	' get address of string descriptor

  lsb% = PEEK(stringdesc%+2)  	' least significant byte is at address string_desc+2
  msb% = PEEK(stringdesc%+3)    ' most significant byte is at address string_desc+3

  offset% = (256*MSB%) + LSB%   ' get offset of string itself

  REG 1, &H4700			' AX = "G"
  REG 3, LEN(g$)                ' CX = length of string
  REG 9, segment%               ' ES = segment of string
  REG 4, offset%                ' DX = offset of string
  CALL INTERRUPT &H10		' do the interrupt

END SUB

s$ = "Pload grasp,1"            ' load picture into buffer 1
CALL Grasp(s$)
s$ = "Pfade 1,1"                ' fade it onto the screen
CALL Grasp(s$)
s$ = "Waitkey"                  ' wait for keystroke from user
CALL Grasp(s$)

END
